Update Component

Update Component by ID

Updates an existing page editor component definition.

Requires authentication.

Request

PUT /component/{id}

Path Parameters

ParameterTypeRequiredDescription
idintegerYesThe ID of the component to update.

Headers

HeaderValue
AuthorizationBearer <token>
Content-Typeapplication/json

Request Body

Accepts the same fields as the create endpoint. Only provided fields are updated.

FieldTypeRequiredDescription
identifierstringNoMachine-readable identifier.
namestringNoDisplay name in the Page Editor.
iconstringNoIcon identifier.
sectionsarrayNoReplacement section definitions.

Response

Returns the updated component definition.

Path Params
string
required
Body Params
string

The identifier used by the frontend to map the properties of the API into the right (React) component

string

The name used by the page editor for displaying/listing the component

string

The icon used by the page editor for displaying/listing the component. Only given values by Makaira UI are valid.

sections
array of objects
sections
Headers
string
required

Makaira Instance ID

Response
200

OK

Language
Credentials
Bearer
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here!